Skip to main content
Getting StartedFor an overview, read more about how Negative Keyword Targeting works in our Help Center
 

Endpoints

Verb

Endpoint

Description

GET

/auction-line-items/{line-item-id}/targeting/keywords

Get All Negated Keywords on a specific Line Item

POST

/auction-line-items/{line-item-id}/targeting/keywords/append

Add Negated Keywords to a Specific Line Item

POST

/auction-line-items/{line-item-id}/targeting/keywords/delete

Remove Negated Keywords from a Specific Line Item

   

Negated Keyword Attributes

Attribute

Data Type

Description

keywords*

object

Keywords structure, with dictionary of keywords andmatchTypepairs

Possible match types for those endpoints:negativeExactandnegativeBroad

*Required

Get all Negated Keywords on a Line item

This endpoint list all negated keywords to an Onsite Sponsored Products Line item Sample Request
curl -X GET "https://api.criteo.com/{version}/retail-media/auction-line-items/2465695028166499188/targeting/keywords" \
    -H "Authorization: Bearer <MY_ACCESS_TOKEN>"
Sample Response
{
    "data": {
        "type": "RetailMediaKeywordTarget",
        "id": "2465695028166499188",
        "attributes": {
            "keywords": {
                "chips": "negativeExact",
                "soda": "negativeBroad"
            }
        }
    },
    /* omitted if no errors */
    "errors": [],
    /* omitted if no warnings */
    "warnings": []
}

Add Negated Keywords on a Line item

This endpoint adds negated keywords to an Onsite Sponsored Products Line item Sample Request
curl -X POST "https://api.criteo.com/{version}/retail-media/auction-line-items/2465695028166499188/targeting/keywords/append" \
    -H "Authorization: Bearer <MY_ACCESS_TOKEN>" \
    -H "Content-Type: application/json" \
    -d '{
            "data": [
                {
                    "type": "RetailMediaKeywordTarget",
                    "attributes": {
                        "keywords": {
                            "chips": "negativeExact",
                            "soda": "negativeBroad"
                        }
                    }
                }
            ]
        }'
Sample Response
{
    "data": {
        "type": "RetailMediaKeywordTarget",
        "id": "2465695028166499188",
        "attributes": {
            "keywords": {
                "chips": "negativeExact",
                "soda": "negativeBroad"
            }
        }
    },
    /* omitted if no errors */
    "errors": [],
    /* omitted if no warnings */
    "warnings": []
}

Remove Negated Keywords on a Line Item

This endpoint removes previously negated keywords (as a result, these keywords might be targeted) Sample Request
curl -X POST "https://api.criteo.com/{version}/retail-media/auction-line-items/2465695028166499188/targeting/keywords/delete" \
    -H "Authorization: Bearer <MY_ACCESS_TOKEN>" \
    -H "Content-Type: application/json" \
    -d '{
            "data": [
                {
                    "type": "RetailMediaPromotedProduct",
                    "attributes": {
                        "keywords": {
                            "chips": "negativeExact"
                        }
                    }
                }
            ]
        }'
Sample Response
{
    "data": [
        {
            "type": "RetailMediaPromotedProduct",
            "attributes": {
                "keywords": {
                    "chips": "negativeBroad"
                }
            }
        }
    ],
    "metadata": {
        "totalItemsAcrossAllPages": 4,
        "currentPageSize": 4,
        "currentPageIndex": 0,
        "totalPages": 1,
        "nextPage": null,
        "previousPage": null
    }
}

Responses

Response

Description

🔵

200

Call completed with success

🔴

400

Bad request, validation error